OpenVDB 12.1.0

Loading...
Searching...
No Matches
unittest_util Namespace Reference

## Typedefs
using | CodeTests = std::vector<std::pair<std::string, openvdb::ax::ast::Node::Ptr>>
using | ConfigMap = std::map<std::string, std::map<std::string, std::string>>

## Functions
void | replace (std::string &str, const std::string &oldStr, const std::string &newStr)
bool | compareLinearTrees (const std::vector< const openvdb::ax::ast::Node * > &a, const std::vector< const openvdb::ax::ast::Node * > &b, const bool allowEmpty=false)
std::vector< std::string > | nameSequence (const std::string &base, const size_t number)

## Typedef Documentation

## ◆ CodeTests

using CodeTests = std::vector<std::pair<std::string, openvdb::ax::ast::Node::Ptr>>

## ◆ ConfigMap

using ConfigMap = std::map<std::string, std::map<std::string, std::string>>

## Function Documentation

## ◆ compareLinearTrees()

bool compareLinearTrees | ( | const std::vector< const openvdb::ax::ast::Node * > & | a,
|  | const std::vector< const openvdb::ax::ast::Node * > & | b,
|  | const bool | allowEmpty = false )
| inline

## ◆ nameSequence()

std::vector< std::string > nameSequence | ( | const std::string & | base,
|  | const size_t | number )
| inline

## ◆ replace()

void replace | ( | std::string & | str,
|  | const std::string & | oldStr,
|  | const std::string & | newStr )
| inline